const GLib = imports.gi.GLib;

try {
    userMenuName = imports.ui.main.panel.statusArea['userMenu']
} catch(TypeError) {
    userMenuName = imports.ui.main.panel._statusArea['userMenu'];
}

_hostName = GLib.get_host_name();
_thisUserName = GLib.get_user_name();
_originalName = userMenuName._name.text; 

function init() {   
}
 
function enable() {
    userMenuName._name.text = _thisUserName + "@" + _hostName;
}
 
function disable() {
    userMenuName._name.text = _originalName;
}
